org.scalatest

# Stopper

#### object Stopper extends AnyRef

Companion object to Stopper that holds a deprecated implicit conversion.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Stopper
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def toString (): String

    Definition Classes
      AnyRef → Any

19. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

20. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

21. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### implicit def convertStopperToFunction (stopper: Stopper): () ⇒ Boolean

    Converts a `Stopper` to a function type that prior to the ScalaTest 1.

    Converts a `Stopper` to a function type that prior to the ScalaTest 1.5 release the `Stopper` extended.

    Prior to ScalaTest 1.5, `Stopper` extended function type `() => Boolean`. This inheritance relationship was severed in 1.5 to make it possible to implement `Stopper`s in Java, a request by an IDE vendor to isolate their ScalaTest integration from binary incompatibility between different Scala/ScalaTest releases. To make a trait easily implementable in Java, it needs to have no concrete methods. `Stopper` itself does not declare any concrete methods, but `() => Boolean` does.

    This implicit conversion was added in ScalaTest 1.5 to avoid breaking any source code that was actually using `Stopper` as an `() => Boolean` function. It is unlikely anyone was actually doing that, but if you were and now get the deprecation warning, please email scalatest-users@googlegroups.com if you believe this implicit conversion should be retained. If no one steps forward with a compelling justification, it will be removed in a future version of ScalaTest.

    Attributes
      implicit
    Annotations
      @deprecated
    Deprecated

      See the documentation for Stopper.convertStopperToFunction for information

### Inherited from AnyRef

### Inherited from Any